<%
  value_range = if charts_range == 1
                  1.week.ago.midnight..Time.now
                elsif charts_range == 2
                  2.weeks.ago.midnight..Time.now
                elsif charts_range == 3
                  1.month.ago.midnight..Time.now
                else
                  6.months.ago.midnight..Time.now
                end
%>


<%= line_chart [ {name: 'All', data: Ahoy::Visit.group_by_day(:started_at, range: value_range).count},
                 {name: 'Unique', data: Ahoy::Visit.group_by_day(:started_at, range: value_range).distinct.select('user_id').count}
               ],
               xtitle: "Date", ytitle: "Nb visits per day"
%>

<%#= column_chart Ahoy::Visit.group(:user_id).count %>

<hr>

<%= column_chart Ahoy::Event.group_prop(:detail_type).group_by_day(:time, range: value_range).count,
                 xtitle: "Date", ytitle: "Nb events per day", stacked: true %>
